# eric4.UI.ErrorLogDialog

Module implementing a dialog to display an error log.

### Global Attributes

None

### Classes

ErrorLogDialog | Class implementing a dialog to display an error log.

### Functions

None

## ErrorLogDialog

Class implementing a dialog to display an error log.

### Derived from

QDialog, Ui_ErrorLogDialog

### Class Attributes

None

### Class Methods

None

### Methods

ErrorLogDialog | Constructor
on_deleteButton_clicked | Private slot to delete the log file.
on_emailButton_clicked | Private slot to send an email.
on_keepButton_clicked | Private slot to just do nothing.

### Static Methods

None

#### ErrorLogDialog (Constructor)

ErrorLogDialog(logFile, parent=None)

Constructor

logFile
  name of the log file containing the error info (string)
parent
  reference to the parent widget (QWidget)

#### ErrorLogDialog.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot to delete the log file.

#### ErrorLogDialog.on_emailButton_clicked

on_emailButton_clicked()

Private slot to send an email.

#### ErrorLogDialog.on_keepButton_clicked

on_keepButton_clicked()

Private slot to just do nothing.

Up